# IDragonswapV2PoolOwnerActions

Contains pool methods that may only be called by the factory owner

### Functions[​](https://docs.uniswap.org/contracts/v3/reference/core/interfaces/pool/IUniswapV3PoolOwnerActions#functions) <a href="#functions" id="functions"></a>

#### setFeeProtocol[​](https://docs.uniswap.org/contracts/v3/reference/core/interfaces/pool/IUniswapV3PoolOwnerActions#setfeeprotocol) <a href="#setfeeprotocol" id="setfeeprotocol"></a>

```solidity
  function setFeeProtocol(
    uint8 feeProtocol0,
    uint8 feeProtocol1
  ) external
```

Set the denominator of the protocol's % share of the fees

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/core/interfaces/pool/IUniswapV3PoolOwnerActions#parameters)

| Name           | Type  | Description                             |
| -------------- | ----- | --------------------------------------- |
| `feeProtocol0` | uint8 | new protocol fee for token0 of the pool |
| `feeProtocol1` | uint8 | new protocol fee for token1 of the pool |

#### collectProtocol[​](https://docs.uniswap.org/contracts/v3/reference/core/interfaces/pool/IUniswapV3PoolOwnerActions#collectprotocol) <a href="#collectprotocol" id="collectprotocol"></a>

```solidity
  function collectProtocol(
    address recipient,
    uint128 amount0Requested,
    uint128 amount1Requested
  ) external returns (uint128 amount0, uint128 amount1)
```

Collect the protocol fee accrued to the pool

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/core/interfaces/pool/IUniswapV3PoolOwnerActions#parameters-1)

| Name               | Type    | Description                                                                   |
| ------------------ | ------- | ----------------------------------------------------------------------------- |
| `recipient`        | address | The address to which collected protocol fees should be sent                   |
| `amount0Requested` | uint128 | The maximum amount of token0 to send, can be 0 to collect fees in only token1 |
| `amount1Requested` | uint128 | The maximum amount of token1 to send, can be 0 to collect fees in only token0 |

**Return Values:**[**​**](https://docs.uniswap.org/contracts/v3/reference/core/interfaces/pool/IUniswapV3PoolOwnerActions#return-values)

| Name      | Type    | Description                          |
| --------- | ------- | ------------------------------------ |
| `amount0` | uint128 | The protocol fee collected in token0 |
| `amount1` | uint128 | The protocol fee collected in token1 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/core/interfaces/pool/idragonswapv2poolowneractions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
